Subject: RE: [lojban] tu'o usage

From: "And Rosta" <[email-masked]>
Date: Mon, 23 Sep 2002 23:31:04 +0100

pc:
> &:
> <<
> The only place where the importing/nonimportingness of ro makes
> an obvious difference, as far as I can see, is as an inner quantifier,
> and to my mind it is very useful that {lo'i broda}={lo'i ro broda} not exclude
> {lo'i no broda}. If I want to exclude {lo'i no broda} I can say
> {lo'i su'o broda}.
>
> The rest of the discussion is too abstruse and too angelic-pinhead-
> terpsichorean even for me! I humbly place my faith in xorxes to
> show me the light & guide me on the True Path.
> >>
> I think there is a better solution to the problem of empty classes
> that allowing {ro} to include {no} (quite beside the obvious one to
> make {su'o} the implicit INNER everywhere).

I don't see any advantage to making su'o the default inner. My sense
is that in the one case where no might plausibly be the cardinality,
viz after lo'i, one generally wants to allow for the possibility of
no.

What other solutions are there?

> The rest is pretty abstruse and largely irrelevant, since we end up
> about the same place regardless and xorxes' view is no wose -- and no
> better -- than any of the others.

Yes. I was just excusing myself from participation.

FWIW, my schooling is such that I automatically take ro broda and
ro da poi broda to NOT entail da broda. So if for no other reason
than sheer habit, I prefer nonimporting ro.

> lioNEL:
>
> <<
> I agree, but I would have found more 'natural' for a logical language
> to avoid these special cases by having no conv-implic and maybe
> some explicit mechanism (special cmavos maybe) to allow it on demand.
> Truth value affectations would have been much cleaner.
> >>
> It is not clear that we can get away from presuppositions altogether
> (actually, it is clear that we can't), but Lojban did work at
> minimizing them, Still some remain, although they could (and
> probably will) be eliminated in a general theory of the logicalizing
> of Lojban sentences -- one of And's projects, I think.

That's rather complimentary! Excessively so. I thought we were all
(i.e. those who give a shit) engaged in the logicalizing of Lojban
sentences, as far as we can. But anyway, as I pointed out to Lionel,
I do hold that Lojban has conventional implicature/presupposition
-- I gave some UI and {le}-series gadri as examples.

But I go along with the general desire to minimize presupposition
(though Lionel's suggestion of an explicit marker of presupposition
might be nice, though I'll leave it to someone else to propose it,
since I'm weary of incurring the scorn of Jay and Jordan).

> <<
> But to be consistent, this should also be true in when INNER actually set
> the cardinality of the underlying subset of broda, as in{lo ci broda cu
> brode},
> which I would read as {ge lo'i broda cu ci mei gi lo broda cu brode},
> and has such is indeed affected by negation boundaries. Or do you consider
> than this cardinality is never really asserted, but belongs to {na'i}
> domain,
> i.e. be the same kind of presupposed implications, despite being explicitly
> stated?
> >>
> I would claim that it is true in the case of {lo ci broda} as well
> and thus that the expansion you propose is not correct. That is,
> {lo ci broda na brode} doesn't come out as {ro lo na'e ci broda naku
> brode}. That is, yes, INNER is part of the {na'i} domain (I thought
> I said that explicitly. Sigh!)

You had said that explicitly, but I think Lionel, like me, was taking
the opposing view.

> taral (quoting &)
> <<
> > The rest of the discussion is too abstruse and too angelic-pinhead-
> > terpsichorean even for me! I humbly place my faith in xorxes to
> > show me the light & guide me on the True Path.
>
> Hear, hear.
> >>
> Well, yes, but if you sign up for a language based on formal logic,
> you have to expect that a little formal logic turns up from time to
> time. This is a time. (It will go away fast into a three-way again.)

"Hear, hear" is not incompatible with "We're glad pc & Jorge thrash
these issues out satisfactorily without us all having to get
involved". That's what I meant, anyway.

--And.